org.eclipse.gef.palette

## Interface PaletteListener

All Superinterfaces:
  java.util.EventListener

    public interface PaletteListener
    extends java.util.EventListener

Listens to changes in the palette.

### Method Summary

Methods
`void` `activeToolChanged(PaletteViewer palette, ToolEntry tool)` A new tool was activated in the palette.

### Method Detail

#### activeToolChanged

    void activeToolChanged(PaletteViewer palette,
                         ToolEntry tool)

A new tool was activated in the palette.

Parameters:
  `palette` - the source of the change
  `tool` - the new tool that was activated